Subject: Re: [PATCH 0/3] Add option to recurse into submodules

From: Brandon Williams <[email-masked]>
Date: Thu, 18 May 2017 12:05:41 -0700

On 05/17, Stefan Beller wrote:
> In a submodule heavy workflow it becomes tedious to pass in
> --recurse-submodules all the time, so make an option for it.

I'm all for adding the config which applies to multiple commands.  I
think its probably necessary as we increase the number of commands which
can recurse.

I'm not as thrilled over the first patch in the series though.  Least
that's my first impression.  I probably need think about it a bit more
though.

> 
> Thanks,
> Stefan
> 
> Stefan Beller (3):
>   submodule.c: add has_submodules to check if we have any submodules
>   submodule test invocation: only pass additional arguments
>   Introduce submodule.recurse option
> 
>  Documentation/config.txt       |  5 +++
>  builtin/checkout.c             |  8 ++--
>  builtin/fetch.c                |  2 +-
>  builtin/read-tree.c            |  2 +-
>  builtin/reset.c                |  2 +-
>  builtin/submodule--helper.c    |  6 +--
>  submodule.c                    | 83 ++++++++++++++++++++++++++++++++++--------
>  submodule.h                    |  8 +++-
>  t/lib-submodule-update.sh      | 18 ++++++++-
>  t/t1013-read-tree-submodule.sh |  4 +-
>  t/t2013-checkout-submodule.sh  |  4 +-
>  t/t5526-fetch-submodules.sh    | 10 +++++
>  t/t7112-reset-submodule.sh     |  4 +-
>  unpack-trees.c                 |  2 +-
>  14 files changed, 121 insertions(+), 37 deletions(-)
> 
> -- 
> 2.13.0.18.g7d86cc8ba0
> 

-- 
Brandon Williams